<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Question 2</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link
      rel="stylesheet"
      type="text/css"
      href="https://cdn.datatables.net/1.10.23/css/jquery.dataTables.css"
    />

    <script
      type="text/javascript"
      charset="utf8"
      src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.js"
    ></script>
  </head>
  <body>
    <table id="example" class="display">
      <thead>
        <tr>
          <th>Name</th>
        </tr>
      </thead>
      <tbody id="tr">
        
      </tbody>

      <tbody></tbody>
    </table>
  </body>

  <script>
    $(document).ready(function () {
      $.ajax({
        type: "GET",
        url: " https://api.publicapis.org/categories ",
        dataType: "json",
        success: function (rows) {
          console.log("rows : ", rows.length);

          for (i = 0; i < rows.length; i++) {
            console.log("rows : ", rows[i]);
            $("#tr").append("  <tr ><td>" + rows[i] + "</td>  </tr >");
          }

          $("#example").DataTable();
        },
      });

      

      /*  $('#example').DataTable(); */
    });
  </script>
</html>
